# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes
dirac_instr::DrawGMInliers Class Reference

`#include <gm_inliers.h>`

Inheritance diagram for dirac_instr::DrawGMInliers:

List of all members.

## Public Member Functions
| DrawGMInliers (Picture &, DrawPictureMotionParams &, const TwoDArray< int > &)
| Constructor.
| ~DrawGMInliers ()
| Destructor.
void | DrawBlock (int, int)
| Colours a single block according to split mode.
void | DrawLegend ()
| Displays colour legend.
Public Member Functions inherited from dirac_instr::DrawOverlay
| DrawOverlay (Picture &, DrawPictureMotionParams &)
| Constructor.
virtual | ~DrawOverlay ()
| Destructor.
void | DrawReferenceNumbers (int, int)
| Draws picture numbers for both references.
void | DrawReferenceNumber (int, int)
| Draws picture number for chosen reference.
void | DrawPictureNumber (int)
| Draws current picture number.
void | DrawCharacter (const PicArray &, int, int)
| Draws a character / number / symbol.
const OverlaySymbols & | Symbols () const
| Returns reference to symbols object.

## Private Attributes
const TwoDArray< int > & | m_inliers

## Additional Inherited Members
Protected Member Functions inherited from dirac_instr::DrawOverlay
void | GetPowerUV (int, int &, int &)
| Calculates U and V for particular value normalised to 1000.
void | DrawPowerBar (int, int)
| Draws power bar legend with given limits.
void | DrawValue (int, int, int)
| Draws value.
void | DrawMvBlockUV (int, int, int, int)
| Colours motion vector block referenced by motion vector.
void | DrawBlockUV (int, int, int, int)
| Colours an 8x8 block referenced by TL chroma pixel.
Protected Attributes inherited from dirac_instr::DrawOverlay
Picture & | m_picture
| Picture data.
DrawPictureMotionParams & | m_draw_params
| Block parameters and chroma scaling.
OverlaySymbols | m_symbols
| Symbols.

## Constructor & Destructor Documentation

dirac_instr::DrawGMInliers::DrawGMInliers | ( | Picture & | ,
|  | DrawPictureMotionParams & | ,
|  | const TwoDArray< int > & |
| ) |  |

dirac_instr::DrawGMInliers::~DrawGMInliers | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawGMInliers::DrawBlock | ( | int | ,
|  | int |
| ) |  |
| virtual

Implements dirac_instr::DrawOverlay.

void dirac_instr::DrawGMInliers::DrawLegend | ( |  | ) |
| virtual

Implements dirac_instr::DrawOverlay.

## Member Data Documentation

const TwoDArray<int>& dirac_instr::DrawGMInliers::m_inliers
| private

The documentation for this class was generated from the following file:

- gm_inliers.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.